Subject: 100141477 S001111876511 customer contact number ticket 1242868
From: Pankaj Mahey <[email-masked]>
To: customer care <[email-masked]>, Zubair Wahid <[email-masked]>
Cc: lastmile <[email-masked]>, KSA Lastmile <[email-masked]>
Date: Tue, 18 Aug 2020 16:10:47 +0400
List-Id: <ccteam.mumzworld.com>

CS Team,

Please do the needful  we need customer contact number for delivery

@Zubair Wahid <[email-masked]>
FYI

Thanks
Pankaj